Jump to content
Magento é no Mestre Magento
LWCrepaldi

Erro ao Instalar o Pagseguro

Mensagens Recomendadas

Pessoal estou usando o magento 2.1.15 e tentando instalar o pagseguro via composer mas quando executo o comando me retorna o erro abaixo:

 composer require pagseguro/magento2:1.4.1
./composer.json has been updated
Loading composer repositories with package information
Updating dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - Installation request for pagseguro/magento2 1.4.1 -> satisfiable by pagseguro/magento2[1.4.1].
    - Conclusion: remove pagseguro/pagseguro-php-sdk 4.2.1
    - Conclusion: don't install pagseguro/pagseguro-php-sdk 4.2.1
    - pagseguro/magento2 1.4.1 requires pagseguro/pagseguro-php-sdk 3.* -> satisfiable by pagseguro/pagseguro-php-sdk[3.0.0, 3.0.6, 3.0.8, 3.1.0, 3.1.1, 3.3.0, 3.3.1, 3.3.2, 3.4.0, 3.4.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.0.0, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.0.6, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.0.8, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.1.0, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.1.1, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.3.0, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.3.1, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.3.2, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.4.0, 4.2.1].
    - Can only install one of: pagseguro/pagseguro-php-sdk[3.4.1, 4.2.1].
    - Installation request for pagseguro/pagseguro-php-sdk (locked at 4.2.1) -> satisfiable by pagseguro/pagseguro-php-sdk[4.2.1].


Alguem sabe como resolver isso ???

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Convidado
Responder esse tópico...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Informação Importante

Ao usar este site, você concorda com nossos Termos de Uso (leia).